cmddump(1)

Name
cmddump - simulated TRS-80 CMD file loader

Synopsis
cmddump [-d] [-i n] [-m] [-p entry] [-q] [-s] [-t] [-x] infile [outfile startbyte nbytes]

Description
cmddump displays information about TRS-80 DOS CMD (binary executable) files. It takes a mandatory input CMD file infile, and an optional triplet of arguments: an output file outfile, a starting offset of startbyte into the CMD file infile, and a number of bytes to dump, nbytes. If startbytes is specified, the given byte range is dumped from the simulated memory after loading.

The numeric arguments, including that to the option -i, may be given in any format recognized by strtol(3); in other words, traditional C literals for decimal, octal, and hexadecimal.

Options
The optional arguments and their parameters direct cmddump as follows.

-d  print detailed map; same as -m, but do not coalesce adjacent blocks

-i n
    select ISAM entry n

-m  print running load map as file is parsed, coalescing adjacent blocks (implies -t); default

-p entry
    select PDS entry entry; cmddump will truncate or right-pad entry with spaces, as needed, to the required fixed field width

-q  quiet; turns off -d, -m, -s, and -t (later flags can override)

-s  print summary load map after file is parsed

-t  print text of module headers, PDS headers, patch names, and copyright notices

-x  ignore anything after the first transfer address

Author
cmddump was written by Timothy Mann.

See also
xtrs(1)

The LDOS Quarterly, April 1, 1982 (Vol 1, No 4) (http://www.tim-mann.org/misosys.html), has documentation of the TRS-80 DOS CMD file format.